summaryrefslogtreecommitdiffhomepage
path: root/test/scripts/run
diff options
context:
space:
mode:
authorSebastian Holmin <sebastian.holmin@mullvad.net>2025-03-18 11:13:05 +0100
committerSebastian Holmin <sebastian.holmin@mullvad.net>2025-03-18 11:13:05 +0100
commit4c74788e4560ce8c1baa12a058af7c23e37510e8 (patch)
treedc02ef350df45a8cea77fa5b24400b452dbb25bd /test/scripts/run
parente9af9e754c57fb9646cc5701c0f34b285ece100f (diff)
parent321ac006318d707e1a0dfdeee1fce6761d090932 (diff)
downloadmullvadvpn-4c74788e4560ce8c1baa12a058af7c23e37510e8.tar.xz
mullvadvpn-4c74788e4560ce8c1baa12a058af7c23e37510e8.zip
Merge branch 'mullvad-version-test-framework-is-broken'
Diffstat (limited to 'test/scripts/run')
-rwxr-xr-xtest/scripts/run/ci.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/test/scripts/run/ci.sh b/test/scripts/run/ci.sh
index b1aff3a6e4..b7e8c218e4 100755
--- a/test/scripts/run/ci.sh
+++ b/test/scripts/run/ci.sh
@@ -1,5 +1,8 @@
#!/usr/bin/env bash
+# This script is invoked by the GitHub workflow file below to launch the desktop end to end test framwork.
+# <https://github.com/mullvad/mullvadvpn-app/blob/main/.github/workflows/desktop-e2e.yml>
+
# TODO: Break this down into multiple, smaller scripts and compose them in this file.
set -eu
@@ -27,8 +30,15 @@ fi
# shellcheck source=test/scripts/utils/lib.sh
source "../utils/lib.sh"
-# shellcheck source=test/scripts/utils/download.sh
-source "../utils/download.sh" # TODO: Do not source it, call it instead.
+
+# The `CURRENT_VERSION` variable is set by the workflow file which invokes `mullvad-version`
+# We need to add a suffix with tag information to get the current version string
+TAG=$(git describe --exact-match HEAD 2>/dev/null || echo "")
+if [[ -n "$TAG" && ${CURRENT_VERSION} =~ -dev- ]]; then
+ # Remove disallowed version characters from the tag
+ CURRENT_VERSION+="+${TAG//[^0-9a-z_-]/}"
+fi
+export CURRENT_VERSION
echo "**********************************"
echo "* Version to upgrade from: $LATEST_STABLE_RELEASE"